Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Connection_Recycling_Strategy Class Reference

Defines the interface for a connection recycler. More...

`#include <Connection_Recycling_Strategy.h>`

Inheritance diagram for ACE_Connection_Recycling_Strategy:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Connection_Recycling_Strategy (void)
| Virtual Destructor. More...
virtual int | purge (const void *recycling_act)=0
| Remove from cache. More...
virtual int | cache (const void *recycling_act)=0
| Add to cache. More...
virtual int | recycle_state (const void *recycling_act, ACE_Recyclable_State new_state)=0
virtual ACE_Recyclable_State | recycle_state (const void *recycling_act) const=0
| Get/Set <recycle_state>. More...
virtual int | mark_as_closed (const void *recycling_act)=0
| Mark as closed. More...
virtual int | mark_as_closed_i (const void *recycling_act)=0
| Mark as closed.(non-locking version). More...
virtual int | cleanup_hint (const void *recycling_act, void **act_holder=0)=0
| Cleanup hint and reset <*act_holder> to zero if <act_holder != 0>. More...
## Protected Methods
| ACE_Connection_Recycling_Strategy (void)
| Default ctor. More...

## Detailed Description

Defines the interface for a connection recycler.

## Constructor & Destructor Documentation

ACE_Connection_Recycling_Strategy::~ACE_Connection_Recycling_Strategy | ( | void |  | ) | `[virtual]`

| Virtual Destructor.

ACE_Connection_Recycling_Strategy::ACE_Connection_Recycling_Strategy | ( | void |  | ) | `[protected]`

| Default ctor.

## Member Function Documentation

virtual int ACE_Connection_Recycling_Strategy::cache | ( | const void * | recycling_act | ) | `[pure virtual]`

| Add to cache. Reimplemented in ACE_Cached_Connect_Strategy, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

virtual int ACE_Connection_Recycling_Strategy::cleanup_hint | ( | const void * | recycling_act,
|  | void ** | act_holder = 0
| ) | `[pure virtual]`

| Cleanup hint and reset <*act_holder> to zero if <act_holder != 0>. Reimplemented in ACE_Cached_Connect_Strategy, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

virtual int ACE_Connection_Recycling_Strategy::mark_as_closed | ( | const void * | recycling_act | ) | `[pure virtual]`

| Mark as closed. Reimplemented in ACE_Cached_Connect_Strategy, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

virtual int ACE_Connection_Recycling_Strategy::mark_as_closed_i | ( | const void * | recycling_act | ) | `[pure virtual]`

| Mark as closed.(non-locking version). Reimplemented in ACE_Cached_Connect_Strategy_Ex, ACE_Cached_Connect_Strategy, ACE_Cached_Connect_Strategy_Ex< SVC_HANDLER, ACE_PEER_CONNECTOR_2, CACHING_STRATEGY, ATTRIBUTES, MUTEX >, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

virtual int ACE_Connection_Recycling_Strategy::purge | ( | const void * | recycling_act | ) | `[pure virtual]`

| Remove from cache. Reimplemented in ACE_Cached_Connect_Strategy, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

virtual ACE_Recyclable_State ACE_Connection_Recycling_Strategy::recycle_state | ( | const void * | recycling_act | ) | const`[pure virtual]`

| Get/Set <recycle_state>. Reimplemented in ACE_Cached_Connect_Strategy, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

virtual int ACE_Connection_Recycling_Strategy::recycle_state | ( | const void * | recycling_act,
|  | ACE_Recyclable_State | new_state
| ) | `[pure virtual]`

| Reimplemented in ACE_Cached_Connect_Strategy, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

The documentation for this class was generated from the following files:

- Connection_Recycling_Strategy.h
- Connection_Recycling_Strategy.cpp